cancel
Showing results for 
Search instead for 
Did you mean: 

I have a mac osx 10.3.9 and need to download firefox version that will run on it.

SOLVED
Highlighted
New User

I have a mac osx 10.3.9 and need to download firefox version that will run on it.

I mistakenly downloaded firefox 3.6 before I realized my system wouldn't support it. Now firefox won't launch, and replaced my older firefox version in applications. Now what do I do?

Tags (2)
1 ACCEPTED SOLUTION

Accepted Solutions
Expert User

Re: I have a mac osx 10.3.9 and need to download firefox version that will run on it.

4 REPLIES
Expert User

Re: I have a mac osx 10.3.9 and need to download firefox version that will run on it.

Support Forum Moderator

Re: I have a mac osx 10.3.9 and need to download firefox version that will run on it.

Firefox 2.0.0.20 is the last ever release for Mac OSX 10.3.9 and earlier versions. Get it here:
https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.20/mac/en-US/

New User

Re: I have a mac osx 10.3.9 and need to download firefox version that will run on it.

Thanks very much!!!!! I'm back in business thanks to you guys!!

New User

Re: I have a mac osx 10.3.9 and need to download firefox version that will run on it.

Thanks to the-edmeister!!! This edmeister link got me back in business: https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.20/mac/en-US/